Package be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl.regional

# Class MemberDataIrisCareNetService

java.lang.Object
be.ehealth.businessconnector.mycarenet.memberdatav2.session.impl.regional.MemberDataIrisCareNetService

All Implemented Interfaces:
  `MemberDataService`

public class MemberDataIrisCareNetService extends Object implements MemberDataService
A simplified interface to access the IrisCareNet MemberData service Implements : `MemberDataService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberDataIrisCareNetService(SessionValidator sessionValidator)`
  Instantiates a new Member Data Sync service impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MemberDataConsultationResponse`
  `consultMemberData(MemberDataConsultationRequest request)`
  Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MemberDataIrisCareNetService

    public MemberDataIrisCareNetService(SessionValidator sessionValidator) throws TechnicalConnectorException
    Instantiates a new Member Data Sync service impl.
    Parameters:
      `sessionValidator` - the sessionValidator
    Throws:
      `TechnicalConnectorException` - the technical connector exception

- ## Method Details

  - ### consultMemberData

    public MemberDataConsultationResponse consultMemberData(MemberDataConsultationRequest request) throws TechnicalConnectorException
    Description copied from interface: `MemberDataService`
    Sends the consult MemberData request to the WS (needs a Session to be active, token is retrieved from the session)
    Specified by:
      `consultMemberData` in interface `MemberDataService`
    Parameters:
      `request` - the consultation request
    Returns:
      the WS response
    Throws:
      `TechnicalConnectorException` - the technical connector exception